<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number50</title>
</head>

<body>
	<h2> JavaScript Excercise</h2>
	
	<p> <b> No.50:</b> Write a JavaScript program to capitalize the first letter of each word of a given string.</p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
	  <input type="text" id="txt" placeholder="Type Your Text" style="width: 200px; margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	
	<script>
	  function generate() {
		  var str = document.getElementById('txt').value;
		  var splstr = str.split(' ');
		  for (i = 0; i < splstr.length ; i++) {
			  splstr[i] = splstr[i].substring(0,1).toUpperCase() + splstr[i].substring(1).toLowerCase();
		  }
		  var nw = splstr.join(' ');
			  document.getElementById('demo').innerHTML=
				  "Result is: <br>" + nw ;
	  }
	</script>
</body>
</html>
